# 
# TODO:
# - fix mmx sse stuff
# - http://sourceforge.net/tracker/index.php?func=detail&aid=977600&group_id=19741&atid=119741
# - fix -march forcing in configure.in
#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Fast Assembly Mpeg Encoding library
Summary(pl.UTF-8):	Szybka biblioteka kodująca MPEG
Name:		libfame
Version:	0.9.1
Release:	7
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/fame/%{name}-%{version}.tar.gz
# Source0-md5:	880085761e17a3b4fc41f4f6f198fd3b
Patch0:		%{name}-am18.patch
Patch1:		%{name}-gcc.patch
URL:		http://fame.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAME is a library for fast MPEG encoding.

%description -l pl.UTF-8
FAME to biblioteka do szybkiego kodowania MPEG.

%package devel
Summary:	Includes to develop using FAME
Summary(pl.UTF-8):	Pliki nagłówkowe FAME
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
FAME is a library for fast MPEG encoding. This package contains
include files and other resources you can use to develop FAME
applications.

%description devel -l pl.UTF-8
FAME to biblioteka do szybkiego kodowania MPEG. Ten pakiet zawiera
pliki nagłówkowe i inne potrzebne do tworzenia aplikacji
korzystających z FAME.

%package static
Summary:	FAME static libraries
Summary(pl.UTF-8):	Biblioteki statyczne FAME
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FAME is a library for fast MPEG encoding. This package contains static
version of FAME library.

%description static -l pl.UTF-8
FAME to biblioteka do szybkiego kodowania MPEG. Ten pakiet zawiera
statyczną wersję biblioteki FAME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES README TODO
%attr(755,root,root) %{_libdir}/libfame-*.so.*.*.*
%ghost %{_libdir}/libfame-*.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libfame-config
%attr(755,root,root) %{_libdir}/libfame.so
%{_libdir}/libfame.la
%{_includedir}/fame*.h
%{_aclocaldir}/libfame.m4
%{_mandir}/man3/fame_*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfame.a
%endif
%changelog
* Tue Mar 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfame.git;a=log;h=master

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 9ef71da
- x32 rebuild
- release 7 (by relup.sh)

* Thu Feb 17 2011 Elan Ruusamäe <glen@pld-linux.org> 32b52e4
- ghost soname symlink, verbose files

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 46649a9
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 77ba57c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> abb9586
- converted to UTF-8

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fe410e9
- rel 4

* Sun Mar 12 2006 Paweł Sikora <pluto@pld-linux.org> b9772da
- 64-bit fix: nonportable ptrs calculations in fame_malloc.
- release 3.

* Sun Mar 12 2006 Paweł Sikora <pluto@pld-linux.org> 3d16468
- fix implicit prototypes and nonportable ptrs calculations.

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> e19b1bd
- added bcond_without static_libs

* Fri May 06 2005 Paweł Sikora <pluto@pld-linux.org> 9faae0a
- updated.

* Fri May 06 2005 speedy <speedy@pld-linux.org> 57dcc70
- warning: type defaults to 'int' in declaration of '_mmx_one'

* Thu May 05 2005 speedy <speedy@pld-linux.org> ca6e211
- release 2
- new patch: gcc (fix _mmx_one issue using gcc >3.4)

* Thu May 05 2005 speedy <speedy@pld-linux.org> 242108b
- cd81071ae05cbb32c827b9c91b8e2ea4  libfame-gcc.patch

* Thu May 05 2005 speedy <speedy@pld-linux.org> 7dd4480
- cosmetics.

* Sun Jul 18 2004 freetz <freetz@pld-linux.org> 67ce03d
- TODO added

* Thu Feb 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 4d2e938
- updated to 0.9.1

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 948d56c
- added am18 patch, more docs, release 2

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 2f28fc2
- libfame.m4 quotation fix

* Mon Sep 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 7dccbae
- fixed descriptions

* Fri Jul 11 2003 ankry <ankry@pld-linux.org> ea723cc
- URL fixes and other cosmetics

